//	Persistence of Vision Raytracer Version 3.5 Scene Description File
//	File: hollow3.pov
//	Author: Dieter Bayer
//	Description:
// This scene shows a hollow, checkered sphere filled with fire.
//
//*******************************************

global_settings {
  //max_trace_level 5
}

#include "colors.inc"

camera {
  location <0,0,-2.3>
  //angle 90
  right <1,0,0> up <0,1,0>
  // clock
}

background { color rgb <0,0,0> }

// light_source { <100, 100, -200> color White }
/*
/usr/share/povray-3.5/include/stars.inc

  sky_sphere {
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.280 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.280  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.480 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.480  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.690 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.690  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.890 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.890  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }
    
  }
  */
  

sphere { < 0, 0, 0>, 4
	// pigment { rgbt 1 } // surface of sphere is transparent
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.854501136371
			intervals 1
			samples 33
			method 3
			density {
				spherical
				ramp_wave
        translate (19.4487537814 + clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 0.668136840811 }
        translate -(19.4487537814 + clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <0, 0, 0>]
          [0.0358327431234 color rgb <0.923653387895,0.205238944946,0.659684511674>]
[0.0385759304895 color rgb <0.059058008743,0.73144191817,0.707057254253>]
[0.0612490164368 color rgb <0.438022435381,0.680718339365,0.170046114908>]
[0.101795179303 color rgb <0.639739744663,0.488243389636,0.943315704327>]
[0.129664029745 color rgb <0.347431197459,0.656149351809,0.616384672288>]
[0.367620654146 color rgb <0.308542390498,0.100675769663,0.636219151614>]
[0.891656383574 color rgb <0.0865344815359,0.713399064594,0.867522696437>]
[1.0 color rgb <0.0731708137659,0.805277002419,0.453317536718>]
				}
			}
      scale 0.7
		}
	}
	//translate 25*y
	hollow
}

  /*
sphere { < 0, 0, 0>, 2
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.02
			intervals 1
			samples 25
			method 3
			density {
				spherical
				ramp_wave
        translate (clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 2.5 }
        translate -(clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <1, 0, 0>]
					[0.1 color rgb <1, 1, 0>]
					[0.5 color rgb <1, 1, 0>]
					[1.0 color rgb <1, 0, 0>]
				}
			}
			density {
				spherical
				ramp_wave
				color_map {
					[0.0 color rgb 1]
					[0.2 color rgb 1]
					[0.3 color rgb 1]
					[1.0 color rgb 1]
				}
			}
		}
	}
	scale 1
	hollow
}
*/